<?php

require_once "../../../modelos/conexion.php";

require_once('tcpdf_include.php');

require_once('qr/qrlib.php');
$codesDir = "codes/";
$codeFile = date('d-m-Y-h-i-s').'.png';

	//====================================================================
	function get_nombre_xxx($id,$tabla,$valor){	  
	  $mysqli=conectar();
	  $error=0;
	  
	  $cadena="select ".$valor." from tabla_".$tabla." where idtabla_".$tabla."='".$id."'";
	  $req=$mysqli->query($cadena) or ($error=1);
	  
	  $r=$req->fetch_assoc();
	  
	  if($error==0){
	  	if(isset($r[$valor])){
			return $r[$valor];
		}else{
			return $cadena;
		}

	  }else{
	  		
	  	return 'Error al obtener '.$valor.'...';
	  }		
		
	}
	//====================================================================

    //===================================================================
	function numtoletras($xcifra)
	{
		$xarray = array(0 => "Cero",
			1 => "UN", "DOS", "TRES", "CUATRO", "CINCO", "SEIS", "SIETE", "OCHO", "NUEVE",
			"DIEZ", "ONCE", "DOCE", "TRECE", "CATORCE", "QUINCE", "DIECISEIS", "DIECISIETE", "DIECIOCHO", "DIECINUEVE",
			"VEINTI", 30 => "TREINTA", 40 => "CUARENTA", 50 => "CINCUENTA", 60 => "SESENTA", 70 => "SETENTA", 80 => "OCHENTA", 90 => "NOVENTA",
			100 => "CIENTO", 200 => "DOSCIENTOS", 300 => "TRESCIENTOS", 400 => "CUATROCIENTOS", 500 => "QUINIENTOS", 600 => "SEISCIENTOS", 700 => "SETECIENTOS", 800 => "OCHOCIENTOS", 900 => "NOVECIENTOS"
		);
	//
		$xcifra = trim($xcifra);
		$xlength = strlen($xcifra);
		$xpos_punto = strpos($xcifra, ".");
		$xaux_int = $xcifra;
		$xdecimales = "00";
		if (!($xpos_punto === false)) {
			if ($xpos_punto == 0) {
				$xcifra = "0" . $xcifra;
				$xpos_punto = strpos($xcifra, ".");
			}
			$xaux_int = substr($xcifra, 0, $xpos_punto); // obtengo el entero de la cifra a covertir
			$xdecimales = substr($xcifra . "00", $xpos_punto + 1, 2); // obtengo los valores decimales
		}

		$XAUX = str_pad($xaux_int, 18, " ", STR_PAD_LEFT); // ajusto la longitud de la cifra, para que sea divisible por centenas de miles (grupos de 6)
		$xcadena = "";
		for ($xz = 0; $xz < 3; $xz++) {
			$xaux = substr($XAUX, $xz * 6, 6);
			$xi = 0;
			$xlimite = 6; // inicializo el contador de centenas xi y establezco el límite a 6 dígitos en la parte entera
			$xexit = true; // bandera para controlar el ciclo del While
			while ($xexit) {
				if ($xi == $xlimite) { // si ya llegó al límite máximo de enteros
					break; // termina el ciclo
				}

				$x3digitos = ($xlimite - $xi) * -1; // comienzo con los tres primeros digitos de la cifra, comenzando por la izquierda
				$xaux = substr($xaux, $x3digitos, abs($x3digitos)); // obtengo la centena (los tres dígitos)
				for ($xy = 1; $xy < 4; $xy++) { // ciclo para revisar centenas, decenas y unidades, en ese orden
					switch ($xy) {
						case 1: // checa las centenas
							if (substr($xaux, 0, 3) < 100) { // si el grupo de tres dígitos es menor a una centena ( < 99) no hace nada y pasa a revisar las decenas

							} else {
								$key = (int) substr($xaux, 0, 3);
								if (TRUE === array_key_exists($key, $xarray)){  // busco si la centena es número redondo (100, 200, 300, 400, etc..)
									$xseek = $xarray[$key];
									$xsub = subfijo($xaux); // devuelve el subfijo correspondiente (Millón, Millones, Mil o nada)
									if (substr($xaux, 0, 3) == 100)
										$xcadena = " " . $xcadena . " CIEN " . $xsub;
									else
										$xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
									$xy = 3; // la centena fue redonda, entonces termino el ciclo del for y ya no reviso decenas ni unidades
								}
								else { // entra aquí si la centena no fue numero redondo (101, 253, 120, 980, etc.)
									$key = (int) substr($xaux, 0, 1) * 100;
									$xseek = $xarray[$key]; // toma el primer caracter de la centena y lo multiplica por cien y lo busca en el arreglo (para que busque 100,200,300, etc)
									$xcadena = " " . $xcadena . " " . $xseek;
								} // ENDIF ($xseek)
							} // ENDIF (substr($xaux, 0, 3) < 100)
							break;
						case 2: // checa las decenas (con la misma lógica que las centenas)
							if (substr($xaux, 1, 2) < 10) {

							} else {
								$key = (int) substr($xaux, 1, 2);
								if (TRUE === array_key_exists($key, $xarray)) {
									$xseek = $xarray[$key];
									$xsub = subfijo($xaux);
									if (substr($xaux, 1, 2) == 20)
										$xcadena = " " . $xcadena . " VEINTE " . $xsub;
									else
										$xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
									$xy = 3;
								}
								else {
									$key = (int) substr($xaux, 1, 1) * 10;
									$xseek = $xarray[$key];
									if (20 == substr($xaux, 1, 1) * 10)
										$xcadena = " " . $xcadena . " " . $xseek;
									else
										$xcadena = " " . $xcadena . " " . $xseek . " Y ";
								} // ENDIF ($xseek)
							} // ENDIF (substr($xaux, 1, 2) < 10)
							break;
						case 3: // checa las unidades
							if (substr($xaux, 2, 1) < 1) { // si la unidad es cero, ya no hace nada

							} else {
								$key = (int) substr($xaux, 2, 1);
								$xseek = $xarray[$key]; // obtengo directamente el valor de la unidad (del uno al nueve)
								$xsub = subfijo($xaux);
								$xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
							} // ENDIF (substr($xaux, 2, 1) < 1)
							break;
					} // END SWITCH
				} // END FOR
				$xi = $xi + 3;
			} // ENDDO

			if (substr(trim($xcadena), -5, 5) == "ILLON") // si la cadena obtenida termina en MILLON o BILLON, entonces le agrega al final la conjuncion DE
				$xcadena.= " DE";

			if (substr(trim($xcadena), -7, 7) == "ILLONES") // si la cadena obtenida en MILLONES o BILLONES, entoncea le agrega al final la conjuncion DE
				$xcadena.= " DE";

			// ----------- esta línea la puedes cambiar de acuerdo a tus necesidades o a tu país -------
			if (trim($xaux) != "") {
				switch ($xz) {
					case 0:
						if (trim(substr($XAUX, $xz * 6, 6)) == "1")
							$xcadena.= "UN BILLON ";
						else
							$xcadena.= " BILLONES ";
						break;
					case 1:
						if (trim(substr($XAUX, $xz * 6, 6)) == "1")
							$xcadena.= "UN MILLON ";
						else
							$xcadena.= " MILLONES ";
						break;
					case 2:
						if ($xcifra < 1) {
							$xcadena = "CERO   Y $xdecimales/100 CENTIMOS";
						}
						if ($xcifra >= 1 && $xcifra < 2) {
							$xcadena = "UN   Y $xdecimales/100 CENTIMOS ";
						}
						if ($xcifra >= 2) {
							$xcadena.= " SOLES  Y $xdecimales/100 CENTIMOS "; //
						}
						break;
				} // endswitch ($xz)
			} // ENDIF (trim($xaux) != "")
			// ------------------      en este caso, para México se usa esta leyenda     ----------------
			$xcadena = str_replace("VEINTI ", "VEINTI", $xcadena); // quito el espacio para el VEINTI, para que quede: VEINTICUATRO, VEINTIUN, VEINTIDOS, etc
			$xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
			$xcadena = str_replace("UN UN", "UN", $xcadena); // quito la duplicidad
			$xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
			$xcadena = str_replace("BILLON DE MILLONES", "BILLON DE", $xcadena); // corrigo la leyenda
			$xcadena = str_replace("BILLONES DE MILLONES", "BILLONES DE", $xcadena); // corrigo la leyenda
			$xcadena = str_replace("DE UN", "UN", $xcadena); // corrigo la leyenda
		} // ENDFOR ($xz)
		return trim($xcadena);
	}

	// END FUNCTION

	function subfijo($xx)
	{ // esta función regresa un subfijo para la cifra
		$xx = trim($xx);
		$xstrlen = strlen($xx);
		if ($xstrlen == 1 || $xstrlen == 2 || $xstrlen == 3)
			$xsub = "";
		//
		if ($xstrlen == 4 || $xstrlen == 5 || $xstrlen == 6)
			$xsub = "MIL";
		//
		return $xsub;
	}
    //===================================================================
/*
$medidas = array(80, 296); // Ajustar aqui segun los milimetros necesarios;
$pdf = new TCPDF('P', 'mm', $medidas, true, 'UTF-8', false);

//$pdf = new TCPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
$pdf->SetMargins(1, 4, 1);
$pdf->SetDisplayMode('fullpage', 'continuous', 'UseNone');
$pdf->startPageGroup();
*/
//$pdf = new TCPDF('P', PDF_UNIT, 'A7', true, 'UTF-8', false);
$medidas = array(80, 300); // Ajustar aqui segun los milimetros necesarios;
$pdf = new TCPDF('P', 'mm', $medidas, true, 'UTF-8', false);
$pdf->SetMargins(3, 0, 1);
$pdf->SetDisplayMode('fullpage', 'continuous', 'UseNone');
$pdf->startPageGroup();
// remove default header/footer
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);

$pdf->AddPage();


// ---------------------------------------------------------
$mysqli=conectar();
$id=$_GET['id'];

$serie=get_nombre_xxx($id,'boleta','serie');
$correlativo=get_nombre_xxx($id,'boleta','correlativo');



$pos = strpos($serie, 'B');
$tipodocumento='';
if ($pos === false) {
	    $pos = strpos($serie, 'F');
		if ($pos === false) {
			$tipodocumento="RECIBO ";
		}else{
				$tipodocumento="FACTURA ELECTRONICA";
		}

} else {


		$tipodocumento="BOLETA ELECTRONICA";


}



$preciotot=get_nombre_xxx($id,'boleta','importe');
$grabado=$preciotot/1.18;
$igv=($grabado*18)/100;

$grabado=round($grabado,2);
$igv=round($igv,2);

$montotextp=numtoletras($preciotot);


$fecharegistro=get_nombre_xxx($id,'boleta','fecha');
$horaregistro=get_nombre_xxx($id,'boleta','hora');
$fechahora=$fecharegistro.'  '.$horaregistro;


$idusuario=get_nombre_xxx($id,'boleta','idtabla_usuario');
$usuario=get_nombre_xxx($idusuario,'usuario','usuario');


$idcliente=get_nombre_xxx($id,'boleta','idtabla_cliente');
$nombre=get_nombre_xxx($idcliente,'cliente','nombre');
$nombre=str_replace('$','&',$nombre);
$documento=get_nombre_xxx($idcliente,'cliente','documento');
$direccion=get_nombre_xxx($idcliente,'cliente','direccion');




$tipoop=get_nombre_xxx($id,'boleta','tipo');

$porcobrar=get_nombre_xxx($id,'boleta','pc');

$notapc='';
if(strcmp(trim($porcobrar),'si')==0){
	$notapc='[VENTA POR COBRAR]';
}

$idtabla_empresa=get_nombre_xxx($id,'boleta','idtabla_empresa');
$local=get_nombre_xxx($idtabla_empresa,'empresa','nombre');
$localruc=get_nombre_xxx($idtabla_empresa,'empresa','ruc');





$tabla= ' 
  <table><tr><td><br></td></tr></table>
  <table style=" float: left;">
  
  <tr><td style="width: 65px" align="left"><img width="60px" height="60px" src="logo.jpeg" ></td><td align="left">

  <table  style="width: 120px; font-size:8px;  font-weight: bold;" >
	<tr><td align="center">'.strtoupper($local).'</td></tr>
	<tr><td  align="center">'.strtoupper($localruc).'</td></tr>
	<tr><td  align="center">'.strtoupper($tipodocumento).'</td></tr>
	<tr><td  align="center">'.strtoupper($serie).'-'.strtoupper($correlativo).'</td></tr>
	
	</table> 

</td></tr></table>	
    
    <table  style=" width:225px;font-size:8px;  font-weight: bold;" >
    <tr><td colspan="3" align="left">'.strtoupper($notapc).'</td></tr>
	<tr> <td style="width: 60px">EMISION</td><td style="width: 10px" align="left">:</td><td style="width: 155px" align="left">'.$fechahora.'</td></tr>
	<tr> <td>DOCUMENTO</td><td align="left">:</td><td align="left">'.$documento.'</td></tr>
	<tr> <td>CLIENTE</td><td align="left">:</td><td> <span style=" overflow-wrap: break-word;">'.$nombre.'</span> </td></tr>
	<tr> <td>DIRECCION</td><td align="left">:</td><td> <span style=" overflow-wrap: break-word;">'.$direccion.'</span> </td></tr>
	';


$tabla.='
	<tr> <td>CAJERO</td><td align="left">:</td><td align="left">'.$usuario.'</td></tr>
	
    </table>
    
     <table  style="width:225px;font-size:8px;  font-weight: bold;" >
    ';

$qr='Cliente :'.$nombre.' '.$documento.'  '.$serie.'-'.$correlativo.'  S/'.$preciotot;
QRcode::png($qr, $codesDir.$codeFile, 'H', 1);

//OBTIENE ITEM DE DOCUMENTO
$cad="select iten,cantidad,importe,total  from tabla_boleta_item where idtabla_boleta='".$id."'";
$resid=$mysqli->query($cad) or die('Error al obtener item');

$itm='<table><tr><td colspan="3">--------------------------------------------------------------------------</td></tr>
<tr><td style="width:80%">Cant.  Detalle</td><td>Importe</td></tr>
<tr><td colspan="3">--------------------------------------------------------------------------</td></tr>';
while($rt=$resid->fetch_array()){

	$itm.='
    <tr><td>'.$rt['cantidad'].'  '.$rt['iten'].'</td><td>  S/'.$rt['total'].'</td></tr>
    ';
}

$itm.='</table>';



	$tabla.=''.$itm;



 $tabla.='<tr><td colspan="3">--------------------------------------------------------------------------</td></tr>
	<tr> <td>GRAVADO</td><td>S/ '.$grabado.'</td></tr>
	<tr> <td>IGV</td><td>S/ '.$igv.'</td></tr>
	<tr> <td>TOTAL</td><td>S/ '.$preciotot.'</td></tr>	
	<tr><td colspan="3" align="left" >'.strtolower($montotextp).'</td></tr>	
	<tr><td colspan="3">--------------------------------------------------------------------------</td></tr>		
<tr><td colspan="3" align="left"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img class="img-thumbnail" src="'.$codesDir.$codeFile.'" /></td></tr>
			
';

$pdf->writeHTML($tabla, true, false, false, false, '');

// ---------------------------------------------------------



// ---------------------------------------------------------
//SALIDA DEL ARCHIVO 

$pdf->Output('pasaje.pdf');


?>
