//======================================
function getXMLHTTPRequest()
{
var req = false;
try
  {
    req = new XMLHttpRequest(); /* p.e. Firefox */
  }
catch(err1)
  {
  try
    {
     req = new ActiveXObject("Msxml2.XMLHTTP");
  /* algunas versiones IE */
    }
  catch(err2)
    {
    try
      {
       req = new ActiveXObject("Microsoft.XMLHTTP");
  /* algunas versiones IE */
      }
      catch(err3)
        {
         req = false;
        }
    }
  }
return req;
}
//======================================

var peticion_empresa = null;
var elementoSeleccionado_empresa = -1;
var sugerencias_empresa = null;
var cacheSugerencias_empresa = {};


function inicializa_xhr() {
  if (window.XMLHttpRequest) {
    return new XMLHttpRequest(); 
  } else if (window.ActiveXObject) {
    return new ActiveXObject("Microsoft.XMLHTTP"); 
  } 
}

Array.prototype.formateaLista_empresa = function() {
  var codigoHtml = "";

  codigoHtml = "<table id='buscadorauntocompletar' >";
  for(var i=0; i<this.length; i++) {
  	  	
  	var cadena=this[i].split("#&");
  	
    if(i == elementoSeleccionado_empresa) {
            	
		codigoHtml +="<tr  onclick='clickempresa("+i+");'><td align='left'  class=\"seleccionado\">"+cadena[1]+"</td></tr>";
    }
    else { 
		codigoHtml +="<tr  onclick='clickempresa("+i+");'><td align='left'>"+cadena[1]+"</td></tr>";

    }
  }
  codigoHtml += "</table>";

  return codigoHtml;
};

function clickempresa(indiceempresa){ 
	elementoSeleccionado_empresa=indiceempresa;
	seleccionaElemento_empresa();
}

function autocompleta_clienteempresa() {
  var elEvento = arguments[0] || window.event;
  var tecla = elEvento.keyCode;

  if(tecla == 40) { // Flecha Abajo
    if(elementoSeleccionado_empresa+1 < sugerencias_empresa.length) {
      elementoSeleccionado_empresa++;
    }
    muestraSugerencias_empresa();
  }
  else if(tecla == 38) { // Flecha Arriba
    if(elementoSeleccionado_empresa > 0) {
      elementoSeleccionado_empresa--;
    }
    muestraSugerencias_empresa();
  }
  else if(tecla == 13) { // ENTER o Intro
  	
  	seleccionaElemento_empresa(); 

  }
  else {
    var texto = document.getElementById("consignatario").value;
    
    // Si es la tecla de borrado y el texto es vacío, ocultar la lista
    if(tecla == 8 && texto == "") {
      borraLista_empresa();
      return;
    }
    
    if(cacheSugerencias_empresa[texto] == null) {
      peticion_empresa = inicializa_xhr();
      
      peticion_empresa.onreadystatechange = function() { 
        if(peticion_empresa.readyState == 4) {
          if(peticion_empresa.status == 200) {
            sugerencias_empresa =peticion_empresa.responseText; 
            if(sugerencias_empresa.length == 0) {
              sinResultados_empresa();
            }
            else {
              cacheSugerencias_empresa[texto] = sugerencias_empresa;
              actualizaSugerencias_empresa();
            }
          }
        }
      };
      
      
      peticion_empresa.open('POST', 'vistas/scripts/autocompleta_destinatario.php?nocache='+Math.random(), true);
      peticion_empresa.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
      peticion_empresa.send('cliente='+encodeURIComponent(texto));
    }
    else {
      sugerencias_empresa = cacheSugerencias_empresa[texto];
      actualizaSugerencias_empresa();
    }
  }
}




function sinResultados_empresa() {
  	
  document.getElementById("sugerenciaclienteempresa").innerHTML = "<span style='background:white; color:red;'>No existen coicidencias con ese texto</span>";
  document.getElementById("sugerenciaclienteempresa").style.display = "block";
}

function actualizaSugerencias_empresa() {
  elementoSeleccionado_empresa = -1;
  muestraSugerencias_empresa();
}

function seleccionaElemento_empresa() {
  if(cadena[elementoSeleccionado_empresa]) {  	
  	var data=cadena[elementoSeleccionado_empresa].split("#&");
    document.getElementById("idconsignatario").value=data[0].trim();
    document.getElementById("consignatario").value=data[1].trim();
        
    borraLista_empresa();
    
  }
}

function muestraSugerencias_empresa() {
  var zonaSugerencias = document.getElementById("sugerenciaclienteempresa");  

  cadena=sugerencias_empresa.split(",");
  
  zonaSugerencias.innerHTML = cadena.formateaLista_empresa();
  zonaSugerencias.style.display = 'block';  
}

function borraLista_empresa() {
  document.getElementById("sugerenciaclienteempresa").innerHTML = "";
  document.getElementById("sugerenciaclienteempresa").style.display = "none";
  
}


function autocompletar_empresa(){
document.getElementById("consignatario").onkeyup = autocompleta_clienteempresa;


}