<?php

    require_once("sesion.class.php");

?>

<!DOCTYPE html>
<html>
<head>	

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">

  <title>System</title>

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <link rel="icon" href="vistas/img/plantilla/icono-negro.png">

   <!--=====================================
  PLUGINS DE CSS
  ======================================-->

  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="vistas/bower_components/bootstrap/dist/css/bootstrap.min.css">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="vistas/bower_components/font-awesome/css/font-awesome.min.css">

  <!-- Ionicons -->
  <link rel="stylesheet" href="vistas/bower_components/Ionicons/css/ionicons.min.css">

  <!-- Theme style -->
  <link rel="stylesheet" href="vistas/dist/css/AdminLTE.css">
  <link rel="stylesheet" href="vistas/dist/css/estilo.css">
  
  <!-- AdminLTE Skins -->
  <link rel="stylesheet" href="vistas/dist/css/skins/_all-skins.min.css">

  <!-- Google Font -->
  <link rel="stylesheet" href="vistas/dist/css/fuentes.min.css">
  
  
   <!-- DataTables -->
  <link rel="stylesheet" href="vistas/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css">
  <link rel="stylesheet" href="vistas/bower_components/datatables.net-bs/css/responsive.bootstrap.min.css">


  <!--=====================================
  PLUGINS DE JAVASCRIPT
  ======================================-->

  <!-- jQuery 3 -->
  <script src="vistas/bower_components/jquery/dist/jquery.min.js"></script>
  
  <!-- Bootstrap 3.3.7 -->
  <script src="vistas/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

  <!-- FastClick -->
  <script src="vistas/bower_components/fastclick/lib/fastclick.js"></script>
  
  <!-- AdminLTE App -->
  <script src="vistas/dist/js/adminlte.min.js"></script>

  <!-- DataTables -->
  <script src="vistas/bower_components/datatables.net/js/jquery.dataTables.min.js"></script>
  <script src="vistas/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
  <script src="vistas/bower_components/datatables.net-bs/js/dataTables.responsive.min.js"></script>
  <script src="vistas/bower_components/datatables.net-bs/js/responsive.bootstrap.min.js"></script>

  <!-- SweetAlert 2 -->
  <script src="vistas/plugins/sweetalert2/sweetalert2.all.js"></script>
  <!-- By default SweetAlert2 doesn't support IE. To enable IE 11 support, include Promise polyfill:-->
  <script src="vistas/dist/js/core.js"></script>
 

<link href="vistas/dist/css/select2.min.css" rel="stylesheet" />
<script src="vistas/dist/js/select2.min.js"></script>
                         

</head>



<!--=====================================
CUERPO DOCUMENTO
======================================-->
<body class="hold-transition skin-blue sidebar-collapse sidebar-mini login-page">
	<div class="table-responsive">
 
  <?php

    $sesion = new sesion();
    $us = $sesion->get("usuario");
	

	
if($us == false)
{			  
	 include "modulos/loginadm.php";
}
 
else{

    
    echo '<div class="wrapper">';

    /*=============================================
    CABEZOTE
    =============================================*/

    include "modulos/cabezote.php";

    /*=============================================
    MENU
    =============================================*/

    include "modulos/menu.php";

    /*=============================================
    CONTENIDO
    =============================================*/

    if(isset($_GET["ruta"])){

        $ruta=$_GET['ruta'];
   if($ruta == "inicio" ||
         $ruta == "usuario" ||
	 $ruta == "cliente" ||
	 $ruta == "correlativo" ||
	 $ruta == "empresa" ||
	 $ruta == "permiso" ||
	 $ruta == "caja" ||
	 $ruta == "concepto" ||
	 $ruta == "reporteingreso" ||
	 $ruta == "reporteegreso" || $ruta == "fe" ||
	 $ruta == "reportefe" ||
	 $ruta == "progra" ||
	 $ruta == "salir"){

        include "modulos/".$ruta.".php";

      }else{

        include "modulos/404.php";

      }

    }else{

      include "modulos/inicio.php";

    }
 
    /*=============================================
    FOOTER
    =============================================*/

    

    echo '</div>';
    
  }
 ?>

<script src="vistas/js/busca_inserta_modifica_elimina_basico.js"></script>
<script src="vistas/js/plantilla.js"></script>
<script src="vistas/js/op_caja.js"></script>
<script src="vistas/js/autocompleta_cliente.js"></script>
<script src="vistas/js/autocompleta_cliente_empresa.js"></script>
<script src="vistas/js/jquery.blockUI.js"></script>

</div>
</body>
</html>
